(* :Title: Master Declarations File for OPLinearAlgebra *)

(* :Summary:
This file contains declarations of all the major symbols
contained in files in this directory.  When loaded, it sets
up the symbols with attribute Stub, so the correct package
will be loaded when the symbol is called.
*)

(* :Author: Liu Zhao *)

(* :History: File created on 13 May 2000; updated in the seque while the 
    package is being developed. *)

BeginPackage["OPLinearAlgebra`"]
EndPackage[]

(* Declarations for package OPLinearAlgebra`OPScalar` *)

DeclarePackage["OPLinearAlgebra`OPScalar`",
{"ClearAllOperators","CommutatorQ","ListBasicOperators","SetAllOperatorsQ",
"ClearCommutator","NCPower","SetCommutator","CanonicalOrder",
"ClearDiamond","CommutatorToDiamond","OperatorQ","SetDiamond",
"ClearOperators","Diamond","PermitTimes","CollectPower","OPExpand",
"SetAllOperators","SetOperators","Commutator","PowerToDiamond",
"DiamondToPower"}]


DeclarePackage["OPLinearAlgebra`Poisson`",{"Poisson","SetPoisson",
"PB","ShowCoordinates", "ShowMomenta", "ShowCanonical", "DefineTheory",
"SetCanonical","ShowTheory","CirclePoisson","ClearPoisson"}]


DeclarePackage["OPLinearAlgebra`OPMatrix`", {"DProd", 
"CircleTimes","CirclePlus","CircleCommutator",
"RevDiamond","ComplementMatrix","LeftMinor","RightMinor",
"LeftDet","RightDet","ncinv","OPInv","LUFacOPMatrix","GaussL",
"GaussD","GaussU","GaussDecompose","OPLinearSolve",
"NCPowerToDiamond","Tp","StrictUpperDiagonalMatrix",
"StrictLowerDiagonalMatrix"}]


DeclarePackage["OPLinearAlgebra`OPSolve`",{"OPLinearEqnToMatrices",
"OPSolve"}]

DeclarePackage["OPLinearAlgebra`OPFactor`",{"OPFactor",
"OPPolyQ","opfacfirst","opfaclast"}]

(*
DeclarePackage["OPLinearAlgebra`PermOP`",{"PermOP","OPDegree"}]

DeclarePackage["OPLinearAlgebra`LieAlgebra`", {"Ad", "Lie", "SetLieAlgebra",
"SetVirasoro"}]

DeclarePackage["OPLinearAlgebra`Delta`", {"Delta", "EpsilonRule", "Epsilon"}]

DeclarePackage["OPLinearAlgebra`Dynkin`", {"Dynkin","DynkinPrime"}]
*)

(* End of Master package *)

(* ---- This package is provided by the system, I add it here to conserve memory. --- *)
DeclarePackage["Utilities`MemoryConserve`",
     {"MemoryConserve", "$MemoryIncrement"}]

Null

